Get reward recipients
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/analytics/rewards/stats/recipientsimport requests
url = "https://{subdomain}.nudj.cx/api/v2/analytics/rewards/stats/recipients"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.nudj.cx/api/v2/analytics/rewards/stats/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>",
"quantity": 123,
"lastReceived": "<string>",
"winningTickets": 123,
"losingTickets": 123,
"pendingTickets": 123,
"entryStatus": "pending"
}
],
"totalCount": 123,
"rewardType": "<string>",
"drawDate": "<string>",
"isDrawn": true,
"distributionType": "<string>",
"winningStats": {
"totalWinners": 123,
"winnersDistributed": 123,
"winnersClaimed": 123
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Reward
Get reward recipients
Get list of users who received a specific reward with their quantities and dates
GET
/
rewards
/
stats
/
recipients
Get reward recipients
Query Parameters
The reward ID to get recipients for (MongoDB ObjectId)
Number of records to skip
Required range:
x >= 0Number of records to return (max 50)
Required range:
1 <= x <= 100Field to sort by
Available options:
name, quantity, lastReceived Sort order
Available options:
asc, desc Was this page helpful?
⌘I

